curl --request PUT \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules/{categorizationRuleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": false,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_min_filter": 123,
"amount_max_filter": 123
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules/{categorizationRuleId}"
payload = {
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": False,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_min_filter": 123,
"amount_max_filter": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_1: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_2: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_3: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
apply_retroactively: false,
external_id: '<string>',
created_by_suggestion_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
merchant_type_filter: '<string>',
transaction_description_filter: '<string>',
counterparty_filter: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount_min_filter: 123,
amount_max_filter: 123
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules/{categorizationRuleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "Categorization_Rule",
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"logo_url": "<string>",
"website": "<string>"
},
"amount_min_filter": 123,
"amount_max_filter": 123
}
}Update categorization rule
Updates an existing categorization rule. This replaces the entire rule content. The rule can optionally be applied retroactively to existing uncategorized transactions.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
The UUID of the categorization rule.
Body
Parameters for creating or updating a categorization rule. At least one filter must be specified.
Optional name for the rule.
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
Whether to apply this rule to existing uncategorized transactions.
External identifier for idempotency. Used for create/upsert operations.
UUID of the suggestion that created this rule (if applicable).
Regex pattern to match against merchant type (minimum 7 characters).
7Regex pattern to match against transaction description (minimum 7 characters).
7UUID of a specific counterparty (merchant/vendor) to match.
Type of bank transaction.
REVENUE, LOAN_DISBURSEMENT, REFUND_RECEIVED, INCOMING_P2P_TRANSFER, INTRA_ACCOUNT_TRANSFER_IN, CHECK_WITHDRAWAL, ATM_DEPOSIT, BANK_DEPOSIT, BANK_VERIFICATION_TRIAL_CREDIT, REVERSAL_IN, CREDIT_CARD_REWARD, CREDIT_CARD_PAYMENT_IN, INTEREST_EARNED, GOVERNMENT_OR_OTHER_GRANT, TAX_REFUND, PURCHASE, REFUND_GIVEN, OUTGOING_P2P_TRANSFER, INTRA_ACCOUNT_TRANSFER_OUT, CHECK_DEPOSIT, CREDIT_CARD_PAYMENT_OUT, ATM_WITHDRAWAL, BANK_WITHDRAWAL, BANKING_FEE, PAYMENT_PROCESSING_FEE, BANK_VERIFICATION_TRIAL_DEBIT, REVERSAL_OUT, LOAN_PAYMENT, TAX_PAYMENT, NOT_ENOUGH_INFORMATION Transaction direction to match.
MONEY_IN, MONEY_OUT Minimum transaction amount in cents.
Maximum transaction amount in cents.
Response
Categorization rule updated successfully.
A categorization rule that automatically categorizes transactions matching specified filters.
Show child attributes
Show child attributes